
Name:		f22-kde-theme
Summary:        Fedora Twenty Two KDE Theme
Version:	22.0
Release:	1%{?dist}

License:	GPLv2+ and CC-BY-SA

# We are upstream for this package
URL:		https://fedorahosted.org/fedora-kde-artwork/
Source0:	https://fedorahosted.org/releases/f/e/fedora-kde-artwork/%{name}-%{version}.tar.bz2
BuildArch:	noarch
BuildRequires:	kde-filesystem
Requires:	kde-filesystem
Requires:	system-logos
Requires:	f22-backgrounds-kde >= 21.91

Provides:	f22-plasma-desktoptheme = %{version}-%{release}
Provides:	f22-plasma-theme = %{version}-%{release}

# replace it later for F22
%if 0%{?fedora} > 22
Provides:	system-kde-theme = %{version}-%{release}
Provides:	system-ksplash-theme = %{version}-%{release}
Provides:	systesm-plasma-desktoptheme = %{version}-%{release}
Provides:	system-plasma-theme = %{version}-%{release}
%endif

%if 0%{?fedora} == 22
Provides:	system-kde-theme = %{version}-%{release}
Provides:	system-ksplash-theme = %{version}-%{release}
Provides:	system-plasma-desktoptheme = %{version}-%{release}
Provides:	system-plasma-theme = %{version}-%{release}
%endif

%description
This is Fedora Twenty Two KDE Theme Artwork containing Plasma Workspaces theme.


%package -n f22-kdm-theme
Summary:	Fedora Twenty Two KDM Theme
Requires:       kde-filesystem
Requires:       system-logos
Requires:       f22-backgrounds-kde >= 21.91
Provides:       system-kdm-theme = %{version}-%{release}

%description -n f22-kdm-theme
This is Fedora Twenty Two KDE Theme Artwork containing KDM theme.

%prep
%setup -q

%build
# blank

%install
### Look and feel
mkdir -p %{buildroot}%{_datadir}/plasma/look-and-feel/org.fedoraproject.twentytwo.desktop/
cp -rp lookandfeel/* %{buildroot}%{_datadir}/plasma/look-and-feel/org.fedoraproject.twentytwo.desktop/

mkdir -p %{buildroot}%{_datadir}/kservices5/
cp -rp lookandfeel/metadata.desktop %{buildroot}%{_datadir}/kservices5/plasma-lookandfeel-org.fedoraproject.twentytwo.desktop

### Plasma desktoptheme's
mkdir -p %{buildroot}%{_datadir}/plasma/desktoptheme/
cp -rp desktoptheme/F22/ %{buildroot}%{_datadir}/plasma/desktoptheme/

### KDM
mkdir -p %{buildroot}%{_kde4_appsdir}/kdm/themes/
cp -rp kdm/F22/ %{buildroot}%{_kde4_appsdir}/kdm/themes/
pushd %{buildroot}%{_kde4_appsdir}/kdm/themes/F22/
# system logo
ln -s ../../../../../pixmaps/system-logo-white.png system-logo-white.png
popd

%files
%doc README COPYING.CC-BY-SA COPYING.GPLv2
%{_datadir}/plasma/desktoptheme/F22/
%{_datadir}/plasma/look-and-feel/org.fedoraproject.twentytwo.desktop/
%{_datadir}/kservices5/plasma-lookandfeel-org.fedoraproject.twentytwo.desktop

%files -n f22-kdm-theme
%{_kde4_appsdir}/kdm/themes/F22

%changelog
* Wed May 13 2015 Jan Grulich <jgrulich@redhat.com> - 22.0-1
- Add splash and lockscreen fedora twenty two theme

* Mon Mar 09 2015 Rex Dieter <rdieter@fedoraproject.org> - 21.91-1.1
- (re)add Provides: system-ksplash-theme. easier to lie now than to re-add it later
- Provides: -plasma-theme,  for more consistent naming

* Tue Mar 03 2015 Than Ngo <than@redhat.com> 21.91-1
- drop unneeded ksplash theme

* Mon Mar 02 2015 Than Ngo <than@redhat.com> 21.90-1
- Initial package
